using System;
using Minesweeper.Core;

namespace Minesweeper.Presentation.Views
{
    public sealed class NullMainMenuView : IMainMenuView
    {
        public event Action StartClicked
        {
            add { }
            remove { }
        }

        public event Action SizeChanged
        {
            add { }
            remove { }
        }

        public GameSettingsValue SelectedSettings => default;

        public void Show()
        {
        }

        public void Hide()
        {
        }

        public void ConfigureSizeX(int min, int max, int value)
        {
        }

        public void ConfigureSizeY(int min, int max, int value)
        {
        }

        public void ConfigureMines(int min, int max, int value)
        {
        }
    }
}
